Name:    libnvme
Version: 1.2
Release: 1
Summary: Linux-native nvme device management library
License: LGPLv2+
URL: http://github.com/linux-nvme/libnvme

Source: https://github.com/linux-nvme/libnvme/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Requires: json-c
Requires: libuuid
Requires: openssl-libs

BuildRequires: gcc-g++
BuildRequires: json-c-devel
BuildRequires: libuuid-devel
BuildRequires: meson
BuildRequires: openssl-devel
BuildRequires: perl-interpreter

%description
Provides library functions for accessing and managing nvme devices on a Linux
system.

%package devel
Summary: Development files for Linux-native nvme
Requires: libnvme
Provides: libnvme.so.1

%description devel
This package provides header files to include and libraries to link with
for Linux-native nvme device maangement.

%package_help

%prep
%autosetup -p1

%build
%meson -Ddocs=man
%meson_build

%install
%meson_install

%check
%meson_test

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/libnvme.so.*
%attr(0755,root,root) %{_libdir}/libnvme-mi.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%attr(-,root,root) %{_includedir}/nvme/
%attr(0644,root,root) %{_includedir}/libnvme.h
%attr(0644,root,root) %{_includedir}/libnvme-mi.h
%attr(0755,root,root) %{_libdir}/libnvme.so
%attr(0755,root,root) %{_libdir}/libnvme-mi.so
%attr(0644,root,root) %{_libdir}/pkgconfig/*

%files help
%attr(0644,root,root) %{_mandir}/man2/*

%changelog
* Mon Dec 19 2022 Qiang Wei <qiang.wei@suse.com> - 1.2-1
- Update version to v1.2

* Wed Apr 20 2022 Kai Liu <kai.liu@suse.com> - 1.0-1
- v1.0 package for openEuler Linux
